Subject: Re: [bug#58190] [PATCH] gnu: csound: Update to 6.16.2.
From: Efraim Flashner <[email-masked]>
To: Fulbert <[email-masked]>
Cc: [email-masked]
Date: Sun, 2 Oct 2022 15:07:50 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Sep 30, 2022 at 09:36:52AM +0200, Fulbert wrote:
> Hello !
> 
> Attached is the package update for Csound. The current 16.14.0 version
> available on Guix does not build on my *x86_64-linux* system, and it
> doesnt look good on https://ci.guix.gnu.org/search?query=csound either.
> 
> The only change is the version and the hash.
> 
> It does `guix build --rounds=2 csound` with no error and some basic
> tests (only on the main `csound` binary) work as expected.
> 
> As recommended in
> "https://guix.gnu.org/manual/devel/en/html_node/Submitting-Patches.html",
> I started trying to build for arm as well, but i gave up after 2 hours
> of never ending ruby compilation…  sorry.
> 
> Best regards,
> Fulbert

No worries about not finishing compiling on arm (I assume aarch64), I'm
not sure I would've waited the 2 hours either. Luckily I do have some
arm hardware and it build successfully on aarch64 (still waiting on
armhf).

Patch pushed! Thanks.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted